<?xml version="1.0" encoding="UTF-8" ?>
<odoo>

<!-- ======================================定位元件型号view视图==================================================   -->
    <record id="sf_fixture_setting_element_view_tree" model="ir.ui.view">
        <field name="name">定位元件型号</field>
        <field name="model">sf.fixture.setting.element</field>
        <field name="arch" type="xml">
            <tree string="定位元件型号">
                <field name="code"/>
                <field name="name"/>
                <field name="setting_ele_type_id"/>
                <field name="brand_id"/>
                <field name="picture" widget="image"/>
            </tree>
        </field>
    </record>

    <record id="sf_fixture_setting_element_view_form" model="ir.ui.view">
        <field name="name">定位元件型号</field>
        <field name="model">sf.fixture.setting.element</field>
        <field name="arch" type="xml">
            <form string="定位元件型号">
                <sheet>
                    <group string="基本信息">
                        <group>
                            <field name="code"/>
                            <field name="name"/>
                            <field name="setting_ele_type_id"/>
                           <field name="brand_id"/>
                        </group>
                        <group>
                           <field name="picture" widget="image" nolabel="1"/>
                        </group>
                    </group>
                    <group string="参数">
                        <group>
                            <field name="length"/>
                            <field name="width"/>
                            <field name="height"/>
                            <field name="diameter"/>
                        </group>
                        <group>
                            <field name="material_type_id"/>
                            <field name="hardness"/>
                            <field name="surface_treatment"/>
                            <field name="accuracy_grade"/>
                            <field name="chucking_power"/>
                        </group>
                    </group>
                    <group string="其他">
                        <group>
                            <field name="comment"/>
                        </group>
                    </group>

                </sheet>
            </form>
        </field>
    </record>

    <record id="sf_fixture_setting_element_view_act" model="ir.actions.act_window">
        <field name="name">定位元件型号</field>
        <field name="type">ir.actions.act_window</field>
        <field name="res_model">sf.fixture.setting.element</field>
        <field name="view_mode">tree,form</field>
    </record>



<!-- ======================================定位原件类型==================================================   -->
    <record id="sf_setting_element_type_view_tree" model="ir.ui.view">
        <field name="name">定位原件类型</field>
        <field name="model">sf.setting.element.type</field>
        <field name="arch" type="xml">
            <tree string="定位原件类型">
                <field name="code"/>
                <field name="name"/>
            </tree>
        </field>
    </record>

    <record id="sf_setting_element_type_view_form" model="ir.ui.view">
        <field name="name">定位元件类型</field>
        <field name="model">sf.setting.element.type</field>
        <field name="arch" type="xml">
            <form string="定位元件类型">
                <sheet>
                    <group string="基本信息">
                        <group>
                            <field name="code"/>
                        </group>
                        <group>
                            <field name="name"/>
                        </group>
                    </group>
                    <group string="其他">
                        <field name="comment"/>
                    </group>
                </sheet>
            </form>
        </field>
    </record>

    <record id="sf_setting_element_type_view_act" model="ir.actions.act_window">
        <field name="name">定位元件类型</field>
        <field name="type">ir.actions.act_window</field>
        <field name="res_model">sf.setting.element.type</field>
        <field name="view_mode">tree,form</field>
    </record>




    <!-- ======================================夹紧元件型号==================================================   -->
    <record id="sf_fixture_clamping_element_view_tree" model="ir.ui.view">
        <field name="name">夹紧元件型号</field>
        <field name="model">sf.fixture.clamping.element</field>
        <field name="arch" type="xml">
            <tree string="夹紧元件型号">
                <field name="code"/>
                <field name="name"/>
                <field name="clamping_ele_type_id"/>
                <field name="brand_id"/>
                <field name="picture" widget="image"/>
            </tree>
        </field>
    </record>

    <record id="sf_fixture_clamping_element_view_form" model="ir.ui.view">
        <field name="name">夹紧元件型号</field>
        <field name="model">sf.fixture.clamping.element</field>
        <field name="arch" type="xml">
            <form string="夹紧元件型号">
                <sheet>
                    <group string="基本信息">
                        <group>
                            <field name="code"/>
                            <field name="name"/>
                            <field name="clamping_ele_type_id"/>
                            <field name="brand_id"/>
                        </group>
                        <group>
                            <field name="picture" widget="image" nolabel="1"/>
                        </group>
                    </group>
                    <group string="参数">
                        <group>
                            <field name="length"/>
                            <field name="width"/>
                            <field name="height"/>
                            <field name="diameter"/>
                        </group>
                        <group>
                            <field name="material_type_id"/>
                            <field name="hardness"/>
                            <field name="chucking_power"/>
                            <field name="surface_treatment"/>
                            <field name="accuracy_grade"/>
                        </group>
                    </group>
                    <group string="其他">
                        <group>
                            <field name="comment"/>
                        </group>
                    </group>
                </sheet>
            </form>
        </field>
    </record>

    <record id="sf_fixture_clamping_element_view_act" model="ir.actions.act_window">
        <field name="name">夹紧元件型号</field>
        <field name="type">ir.actions.act_window</field>
        <field name="res_model">sf.fixture.clamping.element</field>
        <field name="view_mode">tree,form</field>
    </record>




    <!-- ======================================夹紧元件类型==================================================   -->
    <record id="sf_clamping_element_type_view_tree" model="ir.ui.view">
        <field name="name">夹紧元件类型</field>
        <field name="model">sf.clamping.element.type</field>
        <field name="arch" type="xml">
            <tree string="夹紧元件类型">
                <field name="code"/>
                <field name="name"/>
            </tree>
        </field>
    </record>

    <record id="sf_clamping_element_type_view_form" model="ir.ui.view">
        <field name="name">夹紧元件类型</field>
        <field name="model">sf.clamping.element.type</field>
        <field name="arch" type="xml">
            <form string="夹紧元件类型">
                <sheet>
                    <group string="基本信息">
                        <group>
                            <field name="code"/>
                        </group>
                        <group>
                            <field name="name"/>
                        </group>
                    </group>
                    <group string="其他">
                        <field name="comment"/>
                    </group>
                </sheet>
            </form>
        </field>
    </record>

    <record id="sf_clamping_element_type_view_act" model="ir.actions.act_window">
        <field name="name">夹紧元件类型</field>
        <field name="type">ir.actions.act_window</field>
        <field name="res_model">sf.clamping.element.type</field>
        <field name="view_mode">tree,form</field>
    </record>



     <!--  ===================================对刀夹具型号view视图============================================      -->
    <record id="sf_fixture_tool_setting_view_tree" model="ir.ui.view">
        <field name="name">对刀夹具型号</field>
        <field name="model">sf.fixture.tool.setting</field>
        <field name="arch" type="xml">
            <tree string="对刀夹具型号">
                <field name="code"/>
                <field name="name"/>
                <field name="tool_setting_type_id"/>
                <field name="brand_id"/>
                <field name="picture" widget="image"/>
            </tree>
        </field>
    </record>

    <record id="sf_fixture_tool_setting_view_form" model="ir.ui.view">
        <field name="name">对刀夹具型号</field>
        <field name="model">sf.fixture.tool.setting</field>
        <field name="arch" type="xml">
            <form string="对刀夹具型号">
                <sheet>
                    <group string="基本信息">
                        <group>
                            <field name="code"/>
                            <field name="name"/>
                            <field name="tool_setting_type_id"/>
                            <field name="brand_id"/>
                        </group>
                        <group>
                           <field name="picture" widget="image" nolabel="1"/>
                        </group>
                    </group>
                    <group string="参数">
                        <group>
                            <field name="length"/>
                            <field name="width"/>
                            <field name="height"/>
                            <field name="diameter"/>
                            <field name="hardness"/>
                        </group>
                        <group>
                            <field name="clamp_mode"/>
                            <field name="accuracy_grade"/>
                            <field name="max_clamp_diameter"/>
                            <field name="material_type_id"/>
                            <field name="chucking_power"/>
                        </group>
                    </group>
                    <group string="其他">
                        <group>
                            <field name="comment"/>
                        </group>
                    </group>
                </sheet>
            </form>
        </field>
    </record>

    <record id="sf_fixture_tool_setting_view_act" model="ir.actions.act_window">
        <field name="name">对刀夹具型号</field>
        <field name="type">ir.actions.act_window</field>
        <field name="res_model">sf.fixture.tool.setting</field>
        <field name="view_mode">tree,form</field>
    </record>


    <!--  ==================================对刀夹具类型view视图===============================================  -->
    <record id="sf_tool_setting_type_view_tree" model="ir.ui.view">
        <field name="name">对刀夹具类型</field>
        <field name="model">sf.tool.setting.type</field>
        <field name="arch" type="xml">
            <tree string="对刀夹具类型">
                <field name="code"/>
                <field name="name"/>
            </tree>
        </field>
    </record>

    <record id="sf_tool_setting_type_view_form" model="ir.ui.view">
        <field name="name">对刀夹具类型</field>
        <field name="model">sf.tool.setting.type</field>
        <field name="arch" type="xml">
            <form string="对刀夹具类型">
                <sheet>
                    <group string="基本信息">
                        <group>
                            <field name="code"/>
                        </group>
                        <group>
                            <field name="name"/>
                        </group>
                    </group>
                    <group string="其他">
                        <field name="comment"/>
                    </group>
                </sheet>
            </form>
        </field>
    </record>

    <record id="sf_tool_setting_type_view_act" model="ir.actions.act_window">
        <field name="name">对刀夹具类型</field>
        <field name="type">ir.actions.act_window</field>
        <field name="res_model">sf.tool.setting.type</field>
        <field name="view_mode">tree,form</field>
    </record>



     <!--     =================================定位装置型号view视图====================================      -->
    <record id="sf_fixture_locating_device_view_tree" model="ir.ui.view">
        <field name="name">定位装置型号</field>
        <field name="model">sf.fixture.locating.device</field>
        <field name="arch" type="xml">
            <tree string="定位装置型号">
                <field name="code"/>
                <field name="name"/>
                <field name="locating_device_type_id"/>
                <field name="brand_id"/>
                <field name="picture" widget="image"/>
            </tree>
        </field>
    </record>

    <record id="sf_fixture_locating_device_view_form" model="ir.ui.view">
        <field name="name">定位装置型号</field>
        <field name="model">sf.fixture.locating.device</field>
        <field name="arch" type="xml">
            <form string="定位装置型号">
                <sheet>
                    <group string="基本信息">
                        <group>
                            <field name="code"/>
                            <field name="name"/>
                            <field name="locating_device_type_id"/>
                            <field name="brand_id"/>
                        </group>
                        <group>
                           <field name="picture" widget="image" nolabel="1"/>
                        </group>
                    </group>
                    <group string="参数">
                        <group>
                            <field name="length"/>
                            <field name="width"/>
                            <field name="height"/>
                            <field name="diameter"/>
                        </group>
                        <group>
                            <field name="material_type_id"/>
                            <field name="weight"/>
                            <field name="max_bearing_capacity"/>
                            <field name="accuracy_grade"/>
                            <field name="locate_mode_ids"/>
                        </group>
                    </group>
                    <group string="其他">
                        <group>
                            <field name="comment"/>
                        </group>
                    </group>
                </sheet>
            </form>
        </field>
    </record>

    <record id="sf_fixture_locating_device_view_act" model="ir.actions.act_window">
        <field name="name">定位装置型号</field>
        <field name="type">ir.actions.act_window</field>
        <field name="res_model">sf.fixture.locating.device</field>
        <field name="view_mode">tree,form</field>
    </record>


    <!--  ==========================================定位装置类型view视图===============================================  -->
    <record id="sf_locating_device_type_view_tree" model="ir.ui.view">
        <field name="name">定位装置类型</field>
        <field name="model">sf.locating.device.type</field>
        <field name="arch" type="xml">
            <tree string="定位装置类型">
                <field name="code"/>
                <field name="name"/>
            </tree>
        </field>
    </record>

    <record id="sf_locating_device_type_view_form" model="ir.ui.view">
        <field name="name">定位装置类型</field>
        <field name="model">sf.locating.device.type</field>
        <field name="arch" type="xml">
            <form string="定位装置类型">
                <sheet>
                    <group string="基本信息">
                        <group>
                            <field name="code"/>
                        </group>
                        <group>
                            <field name="name"/>
                        </group>
                    </group>
                    <group string="其他">
                        <field name="comment"/>
                    </group>
                </sheet>
            </form>
        </field>
    </record>

    <record id="sf_locating_device_type_view_act" model="ir.actions.act_window">
        <field name="name">定位装置类型</field>
        <field name="type">ir.actions.act_window</field>
        <field name="res_model">sf.locating.device.type</field>
        <field name="view_mode">tree,form</field>
    </record>


    <!--    ====================================定位装置定位方式view视图==========================================    -->
    <record id="sf_locating_device_locate_mode_view_tree" model="ir.ui.view">
        <field name="name">定位装置定位方式</field>
        <field name="model">sf.locating.device.locate.mode</field>
        <field name="arch" type="xml">
            <tree string="定位装置定位方式">
                <field name="code"/>
                <field name="name"/>
            </tree>
        </field>
    </record>

    <record id="sf_locating_device_locate_mode_view_form" model="ir.ui.view">
        <field name="name">定位装置定位方式</field>
        <field name="model">sf.locating.device.locate.mode</field>
        <field name="arch" type="xml">
            <form string="定位装置定位方式">
                <sheet>
                    <group string="基本信息">
                        <group>
                            <field name="code"/>
                            <field name="name_id"/>
                        </group>
                        <group>
                            <field name="name"/>
                        </group>
                    </group>
                    <group string="其他">
                        <field name="comment"/>
                    </group>
                </sheet>
            </form>
        </field>
    </record>

    <record id="sf_locating_device_locate_mode_view_act" model="ir.actions.act_window">
        <field name="name">定位装置定位方式</field>
        <field name="type">ir.actions.act_window</field>
        <field name="res_model">sf.locating.device.locate.mode</field>
        <field name="view_mode">tree,form</field>
    </record>


    <!--    ======================================导向元件view视图===========================================      -->
    <record id="sf_fixture_guide_element_view_tree" model="ir.ui.view">
        <field name="name">导向元件型号</field>
        <field name="model">sf.fixture.guide.element</field>
        <field name="arch" type="xml">
            <tree string="导向元件型号">
                <field name="code"/>
                <field name="name"/>
                <field name="guide_ele_type_id"/>
                <field name="brand_id"/>
                <field name="picture" widget="image"/>
            </tree>
        </field>
    </record>

    <record id="sf_fixture_guide_element_view_form" model="ir.ui.view">
        <field name="name">导向元件型号</field>
        <field name="model">sf.fixture.guide.element</field>
        <field name="arch" type="xml">
            <form string="导向元件型号">
                <sheet>
                    <group string="基本信息">
                        <group>
                            <field name="code"/>
                            <field name="name"/>
                            <field name="guide_ele_type_id"/>
                           <field name="brand_id"/>
                        </group>
                        <group>
                           <field name="picture" widget="image" nolabel="1"/>
                        </group>
                    </group>
                    <group string="参数">
                        <group>
                            <field name="length"/>
                            <field name="width"/>
                            <field name="height"/>
                            <field name="diameter"/>
                            <field name="guide_ele_way_to_install_id"/>
                        </group>
                        <group>
                            <field name="material_type_id"/>
                            <field name="accuracy_grade"/>
                            <field name="weight"/>
                            <field name="scope_of_application"/>
                            <field name="guide_ele_guide_mode_id"/>
                        </group>
                    </group>
                    <group string="其他">
                        <group>
                            <field name="comment"/>
                        </group>
                    </group>
                </sheet>
            </form>
        </field>
    </record>

    <record id="sf_fixture_guide_element_view_act" model="ir.actions.act_window">
        <field name="name">导向元件型号</field>
        <field name="type">ir.actions.act_window</field>
        <field name="res_model">sf.fixture.guide.element</field>
        <field name="view_mode">tree,form</field>
    </record>


    <!--  ========================================导向元件类型view视图====================================  -->
    <record id="sf_guide_element_type_view_tree" model="ir.ui.view">
        <field name="name">导向元件类型</field>
        <field name="model">sf.guide.element.type</field>
        <field name="arch" type="xml">
            <tree string="定位原件类型">
                <field name="code"/>
                <field name="name"/>
            </tree>
        </field>
    </record>

    <record id="sf_guide_element_type_view_form" model="ir.ui.view">
        <field name="name">导向元件类型</field>
        <field name="model">sf.guide.element.type</field>
        <field name="arch" type="xml">
            <form string="定位元件类型">
                <sheet>
                    <group string="基本信息">
                        <group>
                            <field name="code"/>
                        </group>
                        <group>
                            <field name="name"/>
                        </group>
                    </group>
                    <group string="其他">
                        <field name="comment"/>
                    </group>
                </sheet>
            </form>
        </field>
    </record>

    <record id="sf_guide_element_type_view_act" model="ir.actions.act_window">
        <field name="name">导向元件类型</field>
        <field name="type">ir.actions.act_window</field>
        <field name="res_model">sf.guide.element.type</field>
        <field name="view_mode">tree,form</field>
    </record>



    <!--  ==========================================导向元件导向方式view视图========================================  -->
    <record id="sf_guide_element_guide_mode_view_tree" model="ir.ui.view">
        <field name="name">导向元件导向方式</field>
        <field name="model">sf.guide.element.guide.mode</field>
        <field name="arch" type="xml">
            <tree string="导向元件导向方式">
                <field name="code"/>
                <field name="name"/>
            </tree>
        </field>
    </record>

    <record id="sf_guide_element_guide_mode_view_form" model="ir.ui.view">
        <field name="name">导向元件导向方式</field>
        <field name="model">sf.guide.element.guide.mode</field>
        <field name="arch" type="xml">
            <form string="导向元件导向方式">
                <sheet>
                    <group string="基本信息">
                        <group>
                            <field name="code"/>
                            <field name="name_id"/>
                        </group>
                        <group>
                            <field name="name"/>
                        </group>
                    </group>
                    <group string="其他">
                        <field name="comment"/>
                    </group>
                </sheet>
            </form>
        </field>
    </record>

    <record id="sf_guide_element_guide_mode_view_act" model="ir.actions.act_window">
        <field name="name">导向元件导向方式</field>
        <field name="type">ir.actions.act_window</field>
        <field name="res_model">sf.guide.element.guide.mode</field>
        <field name="view_mode">tree,form</field>
    </record>



    <!--  ==========================================导向元件安装方式view视图==============================================  -->
    <record id="sf_guide_element_way_to_install_view_tree" model="ir.ui.view">
        <field name="name">导向元件安装方式</field>
        <field name="model">sf.guide.element.way.to.install</field>
        <field name="arch" type="xml">
            <tree string="导向元件导向方式">
                <field name="code"/>
                <field name="name"/>
            </tree>
        </field>
    </record>

    <record id="sf_guide_element_way_to_install_view_form" model="ir.ui.view">
        <field name="name">导向元件安装方式</field>
        <field name="model">sf.guide.element.way.to.install</field>
        <field name="arch" type="xml">
            <form string="导向元件导向方式">
                <sheet>
                    <group string="基本信息">
                        <group>
                            <field name="code"/>
                            <field name="name_id"/>
                        </group>
                        <group>
                            <field name="name"/>
                        </group>
                    </group>
                    <group string="其他">
                        <field name="comment"/>
                    </group>
                </sheet>
            </form>
        </field>
    </record>

    <record id="sf_guide_element_way_to_install_view_act" model="ir.actions.act_window">
        <field name="name">导向元件安装方式</field>
        <field name="type">ir.actions.act_window</field>
        <field name="res_model">sf.guide.element.way.to.install</field>
        <field name="view_mode">tree,form</field>
    </record>



</odoo>